<?xml version="1.0" encoding="UTF-8"?>
<xs:schema attributeFormDefault="unqualified" elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema">

  <xs:element name="OutcomeLot">
    <xs:complexType>
      <xs:sequence>
        <xs:element ref="Headers"/>
        <xs:element ref="MessageList"/>
      </xs:sequence>
    </xs:complexType>
  </xs:element>

  <xs:element name="Headers">
    <xs:complexType>
      <xs:sequence>
        <xs:element ref="LotId"/>
        <xs:element ref="CustomerCode"/>
        <xs:element ref="Service"/>
        <xs:element ref="Result"/>
      </xs:sequence>
    </xs:complexType>
  </xs:element>


  <xs:element name="LotId" type="xs:string"/>
  <xs:element name="CustomerCode" type="xs:string"/>
  <xs:element name="Service" type="xs:string"/>
  <xs:element name="Result">
    <xs:complexType>
      <xs:simpleContent>
        <xs:extension base="xs:string">
          <xs:attribute type="xs:integer" name="processed" use="required"/>
          <xs:attribute type="xs:integer" name="notValidated" use="required"/>
          <xs:attribute type="xs:integer" name="notAccepted" use="required"/>
          <xs:attribute type="xs:integer" name="notDelivered" use="required"/>
          <xs:attribute type="xs:integer" name="success" use="required"/>
        </xs:extension>
      </xs:simpleContent>
    </xs:complexType>
  </xs:element>

  <xs:element name="MessageList">
    <xs:complexType>
      <xs:sequence>
        <xs:element ref="Message" maxOccurs="unbounded" minOccurs="0"/>
      </xs:sequence>
    </xs:complexType>
  </xs:element>

  <xs:element name="Message">
    <xs:complexType>
      <xs:sequence>
        <xs:element ref="Validation"/>
        <xs:element ref="Acceptance" minOccurs="0"/>
        <xs:sequence>
          <xs:element ref="Delivery" maxOccurs="unbounded" minOccurs="0"/>
        </xs:sequence>
      </xs:sequence>
      <xs:attribute type="xs:string" name="extId" use="optional"/>
      <xs:attribute type="xs:string" name="id" use="required"/>
    </xs:complexType>
  </xs:element>

  <xs:element name="Validation">
    <xs:complexType>
      <xs:simpleContent>
        <xs:extension base="xs:string">
          <xs:attribute type="outcomeType" name="outcome" use="required" />
        </xs:extension>
      </xs:simpleContent>
    </xs:complexType>
  </xs:element>
  <xs:element name="Acceptance">
    <xs:complexType>
      <xs:simpleContent>
        <xs:extension base="xs:string">
          <xs:attribute type="outcomeType" name="outcome" use="required"/>
          <xs:attribute type="xs:string" name="fileName" use="required" />
        </xs:extension>
      </xs:simpleContent>
    </xs:complexType>
  </xs:element>



  <xs:element name="Delivery">
    <xs:complexType>
      <xs:simpleContent>
        <xs:extension base="xs:string">
          <xs:attribute type="outcomeType" name="outcome" use="required" />
          <xs:attribute type="xs:string" name="fileName" use="required" />
        </xs:extension>
      </xs:simpleContent>
    </xs:complexType>
  </xs:element>




  <!--
     "1"    = "NESSUN ERRORE"
     "V001" = "non trovato allegato indicato" |
     "V002" = "non trovate template indicato" |
     "A001" = "NON_ACCETTATO_PER_ERRORI_FORMALI" |
     "A002" = "NON_ACCETTATO_PER_VIRUS_INFORMATICO" |
     "D511" = "indirizzo non valido" |
     "D521" = "casella inibita alla ricezione" |
     "D522" ="casella piena" |
     "D531" ="il messaggio supera la dimensione massima accettata dal Gestore ricevente" |
     "D501" = "presso il Gestore ricevente si è verificato un errore tecnico che impedisce la consegna" |
     "D441" = "il messaggio non e stato consegnato nelle prime dodici ore dal suo invio" |
     "D541" = "il messaggio non e stato consegnato nelle ventiquattro ore successive al suo invio" |
     "D551" = "presenza di un virus nel messaggio"

     -->



  <xs:simpleType name="outcomeType">
    <xs:restriction base="xs:string">
      <xs:pattern value="1|D511|D521|D522|D531|D501|D551|D441|D541|V001|V002|V003|V004|V005|A001|A001"/>
    </xs:restriction>
  </xs:simpleType>

</xs:schema>